summaryrefslogtreecommitdiffstats
path: root/bin
diff options
context:
space:
mode:
authorZac Medico <zmedico@gentoo.org>2010-12-29 10:51:28 -0800
committerZac Medico <zmedico@gentoo.org>2010-12-29 10:51:28 -0800
commit9258c1d3ec0f133e2eb448112d5d751a811d6800 (patch)
tree30bad06f7f11731d040e7af66d88636d6a3cba89 /bin
parent1bed4ba3bbc019ee267a37bc28109e4e3deb3af3 (diff)
downloadportage-9258c1d3ec0f133e2eb448112d5d751a811d6800.tar.gz
portage-9258c1d3ec0f133e2eb448112d5d751a811d6800.tar.bz2
portage-9258c1d3ec0f133e2eb448112d5d751a811d6800.zip
unpack: handle echo failure in unzip pipe
This will fix bug #338744.
Diffstat (limited to 'bin')
-rwxr-xr-xbin/ebuild.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/bin/ebuild.sh b/bin/ebuild.sh
index e88f0158d..8e58b86d5 100755
--- a/bin/ebuild.sh
+++ b/bin/ebuild.sh
@@ -387,7 +387,7 @@ unpack() {
ZIP|zip|jar)
# unzip will interactively prompt under some error conditions,
# as reported in bug #336285
- ( while true ; do echo n ; done ) | \
+ ( while true ; do echo n || break ; done ) | \
unzip -qo "${srcdir}${x}" || die "$myfail"
;;
gz|Z|z)